// Dachshund,
// Copyright (C) 2000 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef COMMON_FOUNDATION_H
#define COMMON_FOUNDATION_H

namespace Common {

    char upper(char c);
    char lower(char c);

    bool is_space(char c);
    bool is_upper(char c);
    bool is_lower(char c);
    bool is_digit(char c);
    bool is_alpha(char c);
    bool is_alphanumeric(char c);

} // namespace Common

#endif // COMMON_FOUNDATION_H
