// Dachshund
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef FOUNDATION_VETOABLE_CHANGE_LISTENER_H
#define FOUNDATION_VETOABLE_CHANGE_LISTENER_H

#include "veto.h"

#include <list>
using namespace std;

// interface class only

class ChangeEvent;

class VetoableChangeListener {
public:
    virtual void changes_occurred(const list<ChangeEvent *> & changes) const throw(Veto) = 0;
};

#endif // FOUNDATION_VETOABLE_CHANGE_LISTENER_H
