// Dachshund
// Copyright (C) 2000 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef GTK_BOX_H
#define GTK_BOX_H

#include "toolkit/box.h"
#include "widget.h"

#include <list>
using namespace std;

namespace GTK {

    class Box : public Toolkit::Box, public Widget {
    public:
        Box(Toolkit::OrientationKind orientation);
        ~Box();

        void add(Toolkit::Widget * widget, bool expand);

    private:
        list<Widget *> mContents;
    };

} // namespace GTK

#endif // GTK_BOX_H
