// Dachshund
// Copyright (C) 2002 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif // HAVE_CONFIG_H

#ifdef MCG_REQUIRED

#include <set>
#include <string>

#include "modules.h"

using namespace std;

//
// Dachshund UML-Model Code Generator 
//

namespace DMCG {

	FileModule::FileModule() {
		mModuleDirectory = "./";
		mDependents.clear();
		mExternalDependents.clear();
	}

	PackageModule::PackageModule() {
		mPackage = (Package *)0;

		mParent = (PackageModule *)0;
	}

	ClassModule::ClassModule() {
		mClass = (UML::Class *)0;

		mPackageModule = (PackageModule *)0;
	}

	ComponentModule::ComponentModule() {
		mPackageModule = (PackageModule *)0;
	}

}	// namespace DMCG

#endif

