// Dachshund
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef REFLECTIVE_ATTRIBUTE_H
#define REFLECTIVE_ATTRIBUTE_H

#include "foundation/object.h"

#include <string>
using namespace std;

namespace REF {

    class Attribute : public Object {
    public:
	Attribute();
	~Attribute();

	virtual void ref_set_value(const string & value) = 0;
	virtual void ref_get_value(string & value) const = 0;

	virtual const string & ref_get_type() const = 0;

    private:
    };

} // namespace REF

#endif // REFLECTIVE_ATTRIBUTE_H
