"""
  Package to translate UML Model into Document Representation

  This package is designed to support configurable translation
  and output modules to allow it to format the tree in an
  extensible way.

  This will permit local customisations:
  - to create a new relationship trees
  - to add new icons (based on local stereotypes) to existing trees
  - to display particular information on nodes....

  It uses the factory pattern for extensibility.
  
"""

# Package Initialisation



# Package level methods

def factory(type, tree):
    print "Using type ", type
    if type == "hierarchy":
        import hierarchy
        return hierarchy.create(tree)

    raise NameError, "bad type given to forest.factory"


