// Dachshund
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif // HAVE_CONFIG_H

#include "dumb_handler.h"

#include "foundation/macros.h"

namespace Common {

    DumbHandler::DumbHandler() : XML::SAXHandler() {
	TRACE(10, "TypeCodeHandler created");
    }

    DumbHandler::~DumbHandler() {
	TRACE(10, "TypeCodeHandler destroyed");
    }

    void
    DumbHandler::warning(XML::SAXParser * parser, const string & msg) {
    }

    void
    DumbHandler::error(XML::SAXParser * parser, const string & msg) {
    }

    void
    DumbHandler::fatal(XML::SAXParser * parser, const string & msg) {
    }

    void
    DumbHandler::comment(XML::SAXParser * parser, const string & comment) {
    }

    void
    DumbHandler::start_document(XML::SAXParser * parser) {
    }

    void
    DumbHandler::end_document(XML::SAXParser * parser) {
    }

    void
    DumbHandler::start_element(XML::SAXParser * parser, const string & name,
			       const XML::Properties & properties) {
    }

    void
    DumbHandler::end_element(XML::SAXParser * parser, const string & name) {
    }

    void
    DumbHandler::characters(XML::SAXParser * parser, const string & data) {
    }

    void
    DumbHandler::reference(XML::SAXParser * parser, const string & name) {
    }

    void
    DumbHandler::cdata_block(XML::SAXParser * parser, const string & data) {
    }


} // namespace Common
