// Dachshund,
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif // HAVE_CONFIG_H

#include "foundation/undo_manager.h"
#include "foundation/macros.h"

#include "mof/model.h"
#include "mof/package.h"
#include "mof/association.h"
using namespace MOF;

#include <fstream>
using namespace std;

#ifdef DEBUG
int trace_level = 0;
#endif

int
main() {
#if 0
    Model * model = new Model();

    Package * package = new Package(model);
    Association * association = new Association(model);

    REF::RefAssociation * contains = model->get_contains();

    cout << "Size should be 0: " << package->get_contained_elements().size() << endl;

    contains->ref_add_link(make_pair(package, association));

    cout << "Size should be 1: " << package->get_contained_elements().size() << endl;

    association->unref();

    package->remove();
    package->unref();

    model->unref();

    UndoManager::instance()->clear();		// flush the undo information

    Object::show_remaining();
#endif

    return 0;
}
