#ifndef FOUNDATION_HASH_STRING_H
#define FOUNDATION_HASH_STRING_H

#include <numeric>
#include <string>
using namespace std;

template<class T>
struct hash {
};

struct hash_accumulator {
    unsigned long operator()(unsigned long a, unsigned long b) { return 5 * a + b; }
};

template<>
struct hash<string> {
    size_t operator()(const string & s) const {
	int h = 0;

	accumulate(s.begin(), s.end(), h, hash_accumulator());

	return size_t(h);
    }
};

#endif // FOUNDATION_HASH_STRING_H
