// Dachshund,
// Copyright (C) 2000 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

// FIXME maybe this should go in macros.h

#ifndef FOUNDATION_I18N_H
#define FOUNDATION_I18N_H

#error "Don't use this yet! We will internationalise later."

#ifdef _
#    error "_ is already defined"
#endif

#ifdef N_
#    error "N_ is already defined"
#endif

#ifdef ENABLE_NLS
#    include <libintl.h>
#    define _(String) gettext(String)
#    define N_(String) getext_noop(String)
#else
#    define _(String) (String)
#    define N_(String) (String)
#endif // ENABLE_NLS

#endif // FOUNDATION_I18N_H
