// Dachshund,
// Copyright (C) 2001 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef GENERATOR_UTILITY_H
#define GENERATOR_UTILITY_H

#include <string>
using namespace std;

namespace Generator {

    string get_prologue();

    string name_to_path(const string & name);
    string path_to_guard(const string & path);
    string name_to_role(const string & name);
    string name_to_member(const string & name);
    string role_to_variable(const string & name);
    string singular_to_plural(const string & singular);
    string trim_path(const string & path, int levels = 1);

} // namespace Generator

#endif // GENERATOR_UTILITY_H
