// Dachshund
// Copyright (C) 2000 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef TOOLKIT_NOTEBOOK_H
#define TOOLKIT_NOTEBOOK_H

#include "widget.h"

//
// The notebook contains a list of widgets
//

namespace Toolkit {

    class Notebook : public virtual Widget {
    public:
	Notebook();
	~Notebook();

	virtual void add(Widget * widget) = 0;
	virtual void set_current(Widget * widget) = 0;
	virtual Widget * find_if(bool (*callback)(Widget *, void *), void * data = 0) = 0;
    };

} // namespace Toolkit

#endif // TOOLKIT_NOTEBOOK_H
