// Dachshund,
// Copyright (C) 2002 David Bryant
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef UML_EXT_FIG_DEPENDENCY_H
#define UML_EXT_FIG_DEPENDENCY_H

#include "fig_edge.h"

#include "uml/diagram/dependency_presentation.h"

namespace UMLExt {

    class FigClass;

    class FigDependency : public FigEdge {
    public:
	FigDependency(UML::DependencyPresentation * dp, FigNode * supplier, FigNode * client);
	~FigDependency();

        void update_to_owner();

    protected:

    private:
    };

} // namespace UMLExt

#endif // UML_EXT_FIG_DEPENDENCY_H
